﻿<!DOCTYPE html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /></head><body>
<%var lang = args["language_type"]; %>
<div id="SetDiAlarm" template='<form action="../cgi-bin/web_cgi_setting.cgi" id="settingForm" method="post"><ul>
                <li><span>Signal Full Name:</span>
					 <input class="set_value" name="signal_new_name" pname="signal_new_name" />
                </li>
				 <li><span>Signal Abbreviated Name:</span>
					 <input class="set_value" name="signal_new_abbr_name" pname="signal_new_abbr_name" />
                </li>
                <li><span>New Alarm Level:</span>
                     <select name="signal_new_level" pname="signal_new_level" class="set_value">
                         <option value="">Please Select</option>
                         <option value="0">NA</option>
                         <option value="1">OA</option>  
                         <option value="2">MA</option>
                         <option value="3">CA</option>
                    </select>
                </li>
				<li><span>New Relay Number:</span>
                     <select name="_alarmReg" pname="_alarmReg" class="set_value">
                        <option value="">Please Select</option>
                        <option value="0">NA</option>
                        <option value="1">1</option>
                        <option value="2">2</option>
                        <option value="3">3</option>
                        <option value="4">4</option>
                        <option value="5">5</option>
                        <option value="6">6</option>
                        <option value="7">7</option>
                        <option value="8">8</option>
                        <option value="9">9</option>
                        <option value="10">10</option>
                        <option value="11">11</option>
                        <option value="12">12</option>
                        <option value="13">13</option>
                        <option value="14">14</option>
                        <option value="15">15</option>
                        <option value="16">16</option>
                        <option value="17">17</option>
                        <option value="18">18</option>
                        <option value="19">19</option>
                        <option value="20">20</option>
                        <option value="21">21</option>
                        <option value="22">22</option>
                        <option value="23">23</option>
                        <option value="24">24</option>
                        <option value="25">25</option>
                        <option value="26">26</option>
                        <option value="27">27</option>
                        <option value="28">28</option>
                        <option value="29">29</option>
                        <option value="30">30</option>  
                    </select>
                </li>
				<li><span>New Alarm State:</span>
                     <select name="signal_new_state" pname="signal_new_state" class="set_value">
                        <option value="">Please Select</option>
                        <option>High</option>
                        <option>Low</option>
                    </select>
                </li>
                <li class="info" id="SetAlarmInfo"></li>
                <li class="btn"><a href="#" hidefocus="true" class="btn_set"><i>/*[ID_SET]*/</i></a></li>
            </ul> </form>'>
        <div class="table-container margin-n">                    
        <div class="table-title"><span>DI Alarm</span></div>
            <div class="table-list padding-tn">
            <div class="table" id="SetAlarmList">
                <div class="table-header">
                    <ul>
                        <li class="t-1"><strong class="left pl">/*[ID_INDEX]*/</strong></li>
                        <li class="t-2"><strong class="left pl">/*[ID_Equipment]*/</strong></li>
                        <li class="t-3"><strong class="left pl">/*[ID_Signal Name]*/</strong></li>
                        <li class="t-4"><strong class="left pl">/*[ID_Alarm Level]*/</strong></li>
						<li class="t-5"><strong class="center pl">/*[ID_Alarm State]*/</strong></li>
						<li class="t-6"><strong class="center pl">/*[ID_Replay Number]*/</strong></li>
                        <li class="t-7"><strong class="center pl">/*[ID_MODIFY]*/</strong></li>
                    </ul>
                </div>
                <div class="table-body">
                        <%
                        var nodata = true;
                        var list = data.content;
                        if(list && list.length>0){
                        var AlarmLevels = ["/*[ID_NA1]*/","/*[ID_OA1]*/","/*[ID_MA1]*/","/*[ID_CA1]*/"];
                        for(var i=0,ilen=list.length;i<ilen; i++){
                        nodata = false;
                    %>
                    <ul <%if(i%2==0){ %>class="gray" <%} else { if(i==ilen-1){ %> class="bottom_line" <%};} %> id="AlarmSignal_<%=list[i][1][0] %>_<%=list[i][1][1] %>_<%=list[i][1][2] %>">
                        <li class="t-1"><span class="left pl"><%=i+1%></span></li>
                        <li class="t-2"><span class="left pl"><%=list[i][1][5][lang] %></span></li>
                        <li class="t-3"><span class="left pl"><%=list[i][1][6][lang] %></span></li>
                        <li class="t-4"><span class="left pl"><%=list[i][1][4] %></span></li>
                        <%var list_i_num = list[i][2][3];%>
                        <li class="t-5"><span class="center pl"><%if(list_i_num==0){ %>/*[ID_NA2]*/<%} else { %><%=list_i_num %><%} %></span></li>
                        <li class="t-6"><%=list[i][1][3] %></li>
						<li class="t-7"><a href="javascript:void(0);" hidefocus="true" class="btn_set" post="equip_ID=<%=list[i][1][0]%>&signal_type=<%=list[i][1][1]%>&signal_id=<%=list[i][1][2]%>&equip_ID2=<%=list[i][2][0]%>&signal2_type=<%=list[i][2][1]%>&signal2_id=<%=list[i][2][2]%>&control_value=&control_type=20"  modifydatas='{"signal_new_name":"<%=list[i][1][6][lang]%>","signal_new_abbr_name":"<%=list[i][1][7][lang]%>","signal_new_level":"<%=list[i][1][4]%>","_alarmReg":"<%=list[i][1][3]%>","signal_new_state":"<%=list[i][2][3]%>"}'><i>/*[ID_MODIFY1]*/</i></a></li>
                    </ul>
                    <%};} %>
                    <%if(nodata){ %>
                        <div class="system-no-data">/*[ID_TIPS5]*/</div>
                    <%} %>

                </div>
            </div>
        </div>
        </div>
    </div>
</body></html>
<script>
        if(!(window.location.href.toString().indexOf("hl")>-1))
        {
            var IPurl = window.location.href.toString().split("app")[0];
            window.location.href=""+IPurl+"app/www_user/html/eng/login.html";
        }
</script>